
# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 Folke Schwinning <folke.schwinning@googlemail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE
### BEGIN CODE

import gettext
from gettext import gettext as _
gettext.textdomain('desktop-facebook')

from gi.repository import Gtk, WebKit # pylint: disable=E0611
import logging, threading, time
logger = logging.getLogger('desktop_facebook')

from desktop_facebook_lib import Window
from desktop_facebook.AboutDesktopFacebookDialog import AboutDesktopFacebookDialog
from desktop_facebook.PreferencesDesktopFacebookDialog import PreferencesDesktopFacebookDialog

# See desktop_facebook_lib.Window.py for more details about how this class works
class DesktopFacebookWindow(Window):
    __gtype_name__ = "DesktopFacebookWindow"
    
    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the main window"""
        super(DesktopFacebookWindow, self).finish_initializing(builder)

        self.AboutDialog = AboutDesktopFacebookDialog
        self.PreferencesDialog = PreferencesDesktopFacebookDialog

        # Code for other initialization actions should be added here.

        self.toolbar = self.builder.get_object("toolbar")
        self.viewport = self.builder.get_object("viewport") 
        self.searchbar = self.builder.get_object("searchbar")
        self.toolbarleft = self.builder.get_object("toolbarleft")
        self.searchentry = self.builder.get_object("searchentry")
        self.reloadbutton = self.builder.get_object("reloadbutton")
        self.clearbutton = self.builder.get_object("clearbutton")
        self.mnu_reload = self.builder.get_object("mnu_reload")
        self.mnu_clear = self.builder.get_object("mnu_clear")
        self.statusbar = self.builder.get_object("statusbar")
        self.buttonstart = self.builder.get_object("buttonstart")
        self.buttonfriends = self.builder.get_object("buttonfriends")
        self.buttonmessages = self.builder.get_object("buttonmessages")
        self.buttonnotifs = self.builder.get_object("buttonnotifs")
        self.toolbardown = self.builder.get_object("toolbardown")
        self.mbutton = self.builder.get_object("mbutton")
        self.buttonfri = self.builder.get_object("buttonfri")
        self.buttonapps = self.builder.get_object("buttonapps")
        self.buttongroups = self.builder.get_object("buttongroups")
        self.buttonmob = self.builder.get_object("buttonmob")
        self.buttonmobile = self.builder.get_object("buttonmobile")
        self.buttonback = self.builder.get_object("buttonback")
        self.buttonforward = self.builder.get_object("buttonforward")
        self.buttonevents = self.builder.get_object("buttonevents")
        self.buttonints = self.builder.get_object("buttonints")



        context = self.toolbar.get_style_context()
        context.add_class(Gtk.STYLE_CLASS_PRIMARY_TOOLBAR)
        context = self.toolbarleft.get_style_context()
        context.add_class(Gtk.STYLE_CLASS_PRIMARY_TOOLBAR)
        context = self.toolbardown.get_style_context()
        context.add_class(Gtk.STYLE_CLASS_PRIMARY_TOOLBAR)


        self.webview = WebKit.WebView()

        self.viewport.add(self.webview)
        self.webview.show()
        fburl = "https://www.facebook.com"
        self.webview.open(fburl)

    def on_undobutton_clicked(self, widget):
        self.statusbar.push(1, _("Going back ..."))
        self.webview.go_back()

    def on_redobutton_clicked(self, widget):
        self.statusbar.push(2, _("Going forward ..."))
        self.webview.go_forward()

    def on_mnu_reload_activate(self, widget):
        self.statusbar.push(3, _("Refreshing ..."))
        self.webview.reload()

    def on_mnu_clear_activate(self, widget):
        self.statusbar.push(4, _("Clearing ..."))        
        fburl = "https://www.facebook.com"
        self.webview.open(fburl)

    def on_reloadbutton_clicked(self, widget):
        self.statusbar.push(3, _("Refreshing ..."))
        self.webview.reload()

    def on_clearbutton_clicked(self, widget):
        self.statusbar.push(4, _("Clearing ..."))
        fburl = "https://www.facebook.com"   
        self.webview.open(fburl)

    def on_searchentry_activate(self, widget):
        searchitem = widget.get_text()
        statussearch = _("Searching for '") + searchitem + _("' ...")
        self.statusbar.push(5, statussearch)
        searchurl = "https://www.facebook.com/search/results.php?q=" + searchitem
        self.webview.open(searchurl)

    def on_exitbutton_clicked(self, widget):
        self.statusbar.push(6, _("Quit ..."))
        Gtk.main_quit()

    def on_buttonstart_clicked(self, widget):
        self.statusbar.push(7, _("Opening Facebook ..."))
        fburl = "https://www.facebook.com"
        self.webview.open(fburl)

    def on_buttonfriends_clicked(self, widget):
        self.statusbar.push(8, _("Friend requests ..."))
        friendsurl = "https://www.facebook.com/reqs.php"
        self.webview.open(friendsurl)

    def on_buttonmessages_clicked(self, widget):
        self.statusbar.push(9, _("Messages ..."))
        msgurl = "https://www.facebook.com/messages/"
        self.webview.open(msgurl)

    def on_buttonnotifs_clicked(self, widget):
        self.statusbar.push(10, _("Notifications ..."))
        notifsurl = "https://www.facebook.com/notifications"
        self.webview.open(notifsurl)

    def on_buttonfri_clicked(self, widget):
        self.statusbar.push(11, _("Friends ..."))
        friurl = "https://www.facebook.com/bookmarks/lists"
        self.webview.open(friurl)

    def on_buttonapps_clicked(self, widget):
        self.statusbar.push(12, _("Apps ..."))
        appsurl = "https://www.facebook.com/bookmarks/apps"
        self.webview.open(appsurl)

    def on_buttongroups_clicked(self, widget):
        self.statusbar.push(13, _("Groups ..."))
        groupsurl = "https://www.facebook.com/bookmarks/groups"
        self.webview.open(groupsurl)

    def on_buttonmob_clicked(self, widget):
        self.statusbar.push(14, _("Mobile version ..."))
        moburl = "https://m.facebook.com"
        self.webview.open(moburl)

    def on_buttonforward_clicked(self, widget):
        self.statusbar.push(14, _("Going forward ..."))
        self.webview.go_forward()

    def on_buttonback_clicked(self, widget):
        self.statusbar.push(15, _("Going back ..."))
        self.webview.go_back()

    def on_buttonints_clicked(self, widget):
        self.statusbar.push(16, _("Interests ..."))
        intsurl = "https://www.facebook.com/bookmarks/interests"
        self.webview.open(intsurl)

    def on_buttonevents_clicked(self, widget):
        self.statusbar.push(17, _("Events ..."))
        eventsurl = "https://www.facebook.com/events/list"
        self.webview.open(eventsurl)

### END CODE  
